Issue 2022

Title
Remove required on unit_price of sale, purchase and invoice (allow zero price items)
Priority
feature
Status
resolved
Nosy list
ced, nicoe
Assigned to
nicoe
Keywords

Created on 2011-05-15.17:13:23 by ced, last changed 104 months ago by nicoe.

Messages

Author: [hidden] (nicoe) Tryton committer
Date: 2012-03-23.18:02:02
Fixed with 
changeset 3e12e07af677
changeset e8464966df49
changeset 3e43a43c9330
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2012-03-01.17:12:53
The correct reviews are:

server: review237004
client: review245001
Author: [hidden] (nicoe) Tryton committer
Date: 2012-03-01.12:54:22
Client patch: http://codereview.tryton.org/245001/
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2012-02-01.13:12:39
On 01/02/12 12:59 +0100, Nicolas √Čvrard wrote:
> 
> review226008 allows zero in Numeric, Float, Integer

It is allow "NULL"
Author: [hidden] (nicoe) Tryton committer
Date: 2012-02-01.12:59:34
review226008 allows zero in Numeric, Float, Integer
Author: [hidden] (nicoe) Tryton committer
Date: 2011-10-04.17:37:15
We need to be able to set move.unit_price to 0
But we don't want to remove the unit_price_required behavior.
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2011-05-15.17:13:22
Following: http://groups.google.com/group/tryton/browse_thread/thread/cbc6b37a097313e0
History
Date User Action Args
2012-03-23 18:02:02nicoesetstatus: in-progress -> resolved
messages: + msg10422
2012-03-01 17:12:53cedsetmessages: + msg10216
2012-03-01 12:54:23nicoesetmessages: + msg10214
2012-02-07 19:54:14cedsetstatus: chatting -> in-progress
2012-02-01 13:12:40cedsetmessages: + msg9954
2012-02-01 12:59:35nicoesetmessages: + msg9953
2012-01-23 13:40:38nicoesetassignedto: nicoe
2012-01-23 13:20:54nicoesetstatus: deferred -> chatting
priority: bug -> feature
2012-01-23 13:19:30nicoesettitle: Remove required on unit_price of sale, purchase and invoice -> Remove required on unit_price of sale, purchase and invoice (allow zero price items)
2011-10-04 17:37:15nicoesetstatus: unread -> deferred
messages: + msg8809

Showing 10 items. Show all history (warning: this could be VERY long)